elpa-package-lint_0.7-2_all.deb


Advertisement

Description

elpa-package-lint - linting library for Elisp package authors

Property Value
Distribution Debian Sid
Repository Debian Main i386
Package filename elpa-package-lint_0.7-2_all.deb
Package name elpa-package-lint
Package version 0.7
Package release 2
Package architecture all
Package type deb
Category devel::lang:lisp implemented-in::lisp lisp role::plugin suite::emacs works-with::software:source
Homepage https://github.com/purcell/package-lint
License -
Maintainer Debian Emacsen team <debian-emacsen@lists.debian.org>
Download size 15.11 KB
Installed size 74.00 KB

Alternatives

Package Version Architecture Repository
elpa-package-lint_0.7-2_all.deb 0.7 all Debian Main
elpa-package-lint - - -

Requires

Name Value
emacsen-common -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package elpa-package-lint_0.7-2_all.deb
Source Package package-lint-el

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install elpa-package-lint deb package:
    # sudo apt-get install elpa-package-lint

Files

Path
/usr/lib/emacsen-common/packages/compat/elpa-package-lint
/usr/lib/emacsen-common/packages/install/elpa-package-lint
/usr/lib/emacsen-common/packages/remove/elpa-package-lint
/usr/share/doc/elpa-package-lint/README.md
/usr/share/doc/elpa-package-lint/changelog.Debian.gz
/usr/share/doc/elpa-package-lint/copyright
/usr/share/emacs/site-lisp/elpa-src/package-lint-0.7/package-lint-autoloads.el
/usr/share/emacs/site-lisp/elpa-src/package-lint-0.7/package-lint-pkg.el
/usr/share/emacs/site-lisp/elpa-src/package-lint-0.7/package-lint.el

Changelog

2019-08-26 - David Bremner <bremner@debian.org>
package-lint-el (0.7-2) unstable; urgency=medium
* Team upload.
* Rebuild with current dh-elpa
2019-01-03 - Lev Lamberov <dogsleg@debian.org>
package-lint-el (0.7-1) unstable; urgency=medium
* New upstream version 0.7
* Refresh patches
* d/control: Declare Standards-Version 4.3.0 (no changes needed)
* d/copyright: Bump copyright years
2018-11-20 - Lev Lamberov <dogsleg@debian.org>
package-lint-el (0.6-1) unstable; urgency=medium
* New upstream version 0.6
* Refresh patches
* Migrate to dh 11
* Package new package-lint-flymake as a separate binary package
* d/control: Add Rules-Requires-Root: no
* d/control: Change Vcs-{Browser,Git} URL to salsa.debian.org
* d/control: Declare Standards-Version 4.2.1 (no changes needed)
* d/control: Update Maintainer (to Debian Emacsen team)
2017-10-01 - Lev Lamberov <dogsleg@debian.org>
package-lint-el (0.5-1) unstable; urgency=medium
* Initial release (Closes: #877431)

See Also

Package Description
elpa-paredit-everywhere_0.4-3_all.deb cut-down version of paredit for non-lisp buffers
elpa-paredit_24-4_all.deb Emacs minor mode for structurally editing Lisp code
elpa-parent-mode_2.3-4_all.deb get major mode's parent modes
elpa-parsebib_2.3.1-3_all.deb Emacs Lisp library for parsing .bib files
elpa-pcre2el_1.8-3_all.deb Emacs mode to convert between PCRE, Emacs and rx regexp syntax
elpa-pdf-tools-server_0.90-3_i386.deb server for Emacs's pdf-tools
elpa-pdf-tools_0.90-3_all.deb Display and interact with pdf in Emacs
elpa-persp-projectile_0.2.0-3_all.deb integrate perspective.el with projectile
elpa-perspective_2.2-2_all.deb tagged workspaces in Emacs
elpa-php-mode_1.22.0-1_all.deb PHP Mode for GNU Emacs
elpa-pip-requirements_0.5-2_all.deb major mode for editing pip requirements files
elpa-pkg-info_0.6-5_all.deb provide information about Emacs packages
elpa-pod-mode_1.03-2_all.deb emacs major mode for editing .pod files
elpa-pointback_0.2-3_all.deb restore window points when returning to buffers
elpa-popup_0.5.3-3_all.deb visual popup user interface library for Emacs
Advertisement
Advertisement